function OnCustomParameter(sender, args) {
    // used with POST request to pass in body
    args.set_parameterFormat(JSON.stringify({ customfilterstring: JSON.stringify(args.get_data()) }))

    // used with GET request to pass as query parameters
    //args.set_parameterFormat({customfilterstring:JSON.stringify(args.get_data())})
}

function valueMapper(options) {
    $telerik.$.ajax({
        url: "VirtualizationWebService.asmx/ValueMapper",
        type: "POST",
        dataType: "json",
        contentType: "application/json",
        data: JSON.stringify({
            values: convertValues(options.value)
        }),
        success: function (data) {
            options.success(data.d);
        }
    })
}

function convertValues(value) {
    var data = new Array();

    value = $telerik.$.isArray(value) ? value : [value];

    for (var idx = 0; idx < value.length; idx++) {
        if (value[idx]) {
            data.push(value[idx]);
        }
    }

    return data;
}

function OnDataParse(sender, args) {
    args.set_parsedData(args._response.d)
}
